"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const index = require("../../../hooks/use-namespace/index.js");
const menuItemGroup = require("./menu-item-group.js");
const Vue = require("vue");
var menu_item_group_vue_vue_type_script_setup_true_lang_default = /* @__PURE__ */ Vue.defineComponent({
  name: "ElMenuItemGroup",
  __name: "menu-item-group",
  props: menuItemGroup.menuItemGroupProps,
  setup(__props) {
    const ns = index.useNamespace("menu-item-group");
    return (_ctx, _cache) => {
      return Vue.openBlock(), Vue.createElementBlock("li", { class: Vue.normalizeClass(Vue.unref(ns).b()) }, [Vue.createElementVNode("div", { class: Vue.normalizeClass(Vue.unref(ns).e("title")) }, [!_ctx.$slots.title ? (Vue.openBlock(), Vue.createElementBlock(Vue.Fragment, { key: 0 }, [Vue.createTextVNode(Vue.toDisplayString(__props.title), 1)], 64)) : Vue.renderSlot(_ctx.$slots, "title", { key: 1 })], 2), Vue.createElementVNode("ul", null, [Vue.renderSlot(_ctx.$slots, "default")])], 2);
    };
  }
});
exports.default = menu_item_group_vue_vue_type_script_setup_true_lang_default;
